package com.syaroful.agrilinkvocpro.plant_disease_detection_feature.core.extention

import com.syaroful.agrilinkvocpro.plant_disease_detection_feature.data.model.PlantDiseaseDetectionResponse

sealed class DiagnosisResult {
    data class Success(val data: PlantDiseaseDetectionResponse) : DiagnosisResult()
    data class Error(val errorMessage: String) : DiagnosisResult()
}